Description

Al partir multigeometrías con la herramienta partir geometría o partir línea por un punto debería generar por un lado una
multigeometría con las geometrías no afectadas por el corte y por otro lado las geometrías resultantes del proceso de cortar como
geometrías simples.

En este momento la herramienta partir geometría sobre una multigeometría explota la multigeometría generando geometrías simples
sin importar si están afectadas por el corte o no. 
La herramienta partir por un punto sobre una multigeometría genera una multigeometría con todas las geometrías sin importar si
están afectadas por el corte o no.

Associated revisions
Revision 494 - 05/26/2015 12:59 PM - Lluís Marqués

Fix geometry result of split multilines. refs #3483

Revision 495 - 05/26/2015 03:00 PM - Lluís Marqués

Fix geometry result of split geometries. refs #3483

Revision 498 - 05/27/2015 10:56 AM - Lluís Marqués

Fix error when split multicurve with only one geometry. refs #3483

History
#1 - 05/26/2015 11:06 AM - Lluís Marqués
- Status changed from New to In progress

#2 - 05/26/2015 01:31 PM - Lluís Marqués
- Target version set to 2.3.0-2400 (rev. org.gvsig.desktop-2.0.102)

#3 - 05/26/2015 03:02 PM - Lluís Marqués
- % Done changed from 0 to 100
- Status changed from In progress to Fixed

Corregido el error en la creación del resultado. Ahora las geometrías implicadas en el corte se separan de la multigeometría y las geometrías no
afectadas se quedan dentro de la multigeometría.

#4 - 05/28/2015 08:47 AM - Francisco Díaz Carsí
- Target version changed from 2.3.0-2400 (rev. org.gvsig.desktop-2.0.102) to 2.2.0-2312

#5 - 05/28/2015 06:22 PM - Álvaro Anguix
- Status changed from Fixed to Closed
